// FormExMenu.h: interface for the CFormExMenu class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORMEXMENU_H__DD381E06_A230_4068_ACCD_9995ADD5C6FF__INCLUDED_)
#define AFX_FORMEXMENU_H__DD381E06_A230_4068_ACCD_9995ADD5C6FF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFormExMenu : public CMenu  
{
	DECLARE_DYNCREATE(CFormExMenu)
public:

	HFONT m_hFont;
	CWnd* m_pParent;
	CPtrArray m_pSubMenu;

	CFormExMenu(HFONT hFont);
	CFormExMenu();
	virtual ~CFormExMenu();

	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	virtual void MeasureItem(LPMEASUREITEMSTRUCT lpMeasureItemStruct);

	BOOL AppendMenu(UINT nFlags, CFormExMenu* pSubMenu = NULL, LPCTSTR lpszNewItem = NULL);
	void Init();
};

#endif // !defined(AFX_FORMEXMENU_H__DD381E06_A230_4068_ACCD_9995ADD5C6FF__INCLUDED_)
